QGIS 3+ Print Layout very-very slow zooming and manipulations with elements
Status: Feedback

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.6.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29652

Description

Hello.

First of all, QGIS 2 has no such problem! All fine.

For QGis 3+ versions on the same computers:

If there are several elements (Text, Polygons) on the layout (even without Map) all manipulations with elements and zooming layout

become very slow. Sometimes it leads to crash.

The situation is aggravated if the security program (SecretNet, if this is important) is running on the computer. Zooming of layout can take

up to 10+ seconds.

in the same time the main window works without any complaints and problems.

The main question is how and why a security program can affect the layout so much. I can't migrate to Qgis 3 :(

History

#1 - 2019-04-11 10:21 PM - Giovanni Manghi

- Status changed from Open to Feedback

Evgeniy Z wrote:

Hello.

First of all, QGIS 2 has no such problem! All fine.

For QGis 3+ versions on the same computers:

If there are several elements (Text, Polygons) on the layout (even without Map) all manipulations with elements and zooming layout become very

slow. Sometimes it leads to crash.

I can't replicate this here, would you mind attaching a sample project+data?

The situation is aggravated if the security program (SecretNet, if this is important) is running on the computer. Zooming of layout can take up to 10+

seconds.

in the same time the main window works without any complaints and problems.

The main question is how and why a security program can affect the layout so much. I can't migrate to Qgis 3 :(
you should raise this question in the qgis developers mailing list.

#2 - 2019-04-12 05:04 PM - Evgeniy Z

- File with_secretnet_move.gif added

- File with_secretnet.gif added

- File without_secretnet.gif added

Giovanni Manghi wrote:

I can't replicate this here, would you mind attaching a sample project+data?

Sorry, I misled you. It was one of the oldest computers. In general it works regarding normal.

I recorded three gifs for demonstration.

Please, Look gif "without_secretnet.gif". It works normal.

But it works not normal when SecretNet is installed.

import of layout takes more than 30 seconds, zooming slower.

Look "with_secretnet.gif".

And changing position becomes difficult - file "with_secretnet_move.gif"

Giovanni Manghi wrote:

you should raise this question in the qgis developers mailing list.

Could you help with this question, please? I don't understand what you mean.

#3 - 2019-04-12 05:28 PM - Evgeniy Z

Notice that rendering is quickly both in the main window and in the layout.

#4 - 2019-04-12 08:03 PM - Giovanni Manghi

Evgeniy Z wrote:

Giovanni Manghi wrote:

I can't replicate this here, would you mind attaching a sample project+data?

Sorry, I misled you. It was one of the oldest computers. In general it works regarding normal.

so if this is isolated to an old computer means we can close this ticket?

Giovanni Manghi wrote:

you should raise this question in the qgis developers mailing list.
Could you help with this question, please? I don't understand what you mean.

if you want/need a wider discussion about an issue the developers/users mailing lists are better suited.

#5 - 2019-04-12 10:30 PM - Evgeniy Z

Giovanni Manghi wrote:

so if this is isolated to an old computer means we can close this ticket?

So we can close. I will try discuss second part of my ticket in the qgis developers mailing list. Thanks.

Files

without_secretnet.gif 1.64 MB 2019-04-12 Evgeniy Z

with_secretnet.gif 1.76 MB 2019-04-12 Evgeniy Z

with_secretnet_move.gif 346 KB 2019-04-12 Evgeniy Z
